Core testing infrastructure - Bug #4789

no gerrit verifications on a 32bit architecture
10/09/2020 08:28 AM - laforge

Status: New Start date: 10/09/2020
Priority: High Due date:

Assignee: osmith % Done: 0%
Category:

Target version:

Spec Reference:

Description

Most of our projects, particularly not libosmo*, only have gerrit build verification on amdé4, but not on any 32bit architecture like i386

or armv7l.

This leads to 32bit compatibility issues slipping through the cracks and only showing up later in OBS builds, like seen with #4786 and

#4787.

Let's add verification on 32bit. We need some i386 jenkins slaves (via ansible) and the associated jenkins job-builder voodoo.

| would go straight for debian10, despite the amd64 builds still being tested on debian9.

Related issues:

Related to libosmocore - Bug #4786: bssmap_le + bsslap tests compiler warning... Resolved 10/09/2020
Related to libosmocore - Bug #4787: libosmocore test suite failures on i386 Resolved 10/09/2020
History

#1 - 10/09/2020 09:19 AM - laforge
- Related to Bug #4786: bssmap_le + bsslap tests compiler warning on i386 added

#2 - 10/09/2020 09:19 AM - laforge
- Related to Bug #4787 : libosmocore test suite failures on i386 added

#3 - 02/06/2021 02:19 PM - laforge

- Assignee set to osmith
https://projects.osmocom.org/issues/4786
